import json
import random
from datetime import datetime as dt
from archive import *
from database.latest_data import LATEST_DATA

USER_CREDENTIALS = {}

USER_HOLDINGS = {}

CURRENT_MARKET_PRICES = {'MMM': 122.47000122070312,
 'AOS': 58.91999816894531,
 'ABT': 109.58000183105467,
 'ABBV': 162.3800048828125,
 'ACN': 270.260009765625,
 'ATVI': 76.87999725341797,
 'ADM': 89.6500015258789,
 'ADBE': 336.9200134277344,
 'ADP': 237.66000366210935,
 'AAP': 151.5399932861328,
 'AES': 28.11000061035156,
 'AFL': 71.58000183105469,
 'A': 150.0399932861328,
 'APD': 306.57000732421875,
 'AKAM': 84.97000122070312,
 'ALK': 42.15999984741211,
 'ALB': 214.5,
 'ARE': 144.11000061035156,
 'ALGN': 212.27999877929688,
 'ALLE': 107.6999969482422,
 'LNT': 55.369998931884766,
 'ALL': 136.66000366210938,
 'GOOGL': 89.12000274658203,
 'GOOG': 89.69999694824219,
 'MO': 45.52000045776367,
 'AMZN': 85.81999969482422,
 'AMCR': 11.920000076293944,
 'AMD': 64.0199966430664,
 'AEE': 88.48999786376953,
 'AAL': 12.739999771118164,
 'AEP': 94.87000274658205,
 'AXP': 147.1199951171875,
 'AIG': 62.93000030517578,
 'AMT': 214.6699981689453,
 'AWK': 154.10000610351562,
 'AMP': 310.6600036621094,
 'ABC': 164.2899932861328,
 'AME': 140.52000427246094,
 'AMGN': 261.6499938964844,
 'APH': 76.4000015258789,
 'ADI': 162.4499969482422,
 'ANSS': 238.63999938964844,
 'AON': 299.4200134277344,
 'APA': 43.619998931884766,
 'AAPL': 125.06999969482422,
 'AMAT': 96.7300033569336,
 'APTV': 92.9499969482422,
 'ACGL': 62.459999084472656,
 'ANET': 120.91000366210938,
 'AJG': 187.25999450683597,
 'AIZ': 127.31999969482422,
 'T': 18.739999771118164,
 'ATO': 111.1999969482422,
 'ADSK': 185.1499938964844,
 'AZO': 2431.06005859375,
 'AVB': 161.5,
 'AVY': 183.2100067138672,
 'BKR': 28.75,
 'BALL': 51.970001220703125,
 'BAC': 33.5099983215332,
 'BBWI': 43.18999862670898,
 'BAX': 51.040000915527344,
 'BDX': 256.17999267578125,
 'WRB': 72.58000183105469,
 'BRK-B': 309.9100036621094,
 'BBY': 80.41000366210938,
 'BIO': 422.4299926757813,
 'TECH': 82.52999877929688,
 'BIIB': 272.6300048828125,
 'BLK': 712.0399780273438,
 'BK': 46.29999923706055,
 'BA': 195.38999938964844,
 'BKNG': 2032.2099609375,
 'BWA': 40.27000045776367,
 'BXP': 66.62000274658203,
 'BSX': 46.0099983215332,
 'BMY': 72.26000213623047,
 'AVGO': 553.47998046875,
 'BR': 134.55999755859375,
 'BRO': 56.650001525878906,
 'BF-B': 64.98999786376953,
 'CHRW': 90.27999877929688,
 'CDNS': 159.63999938964844,
 'CZR': 42.2599983215332,
 'CPT': 110.68000030517578,
 'CPB': 56.20000076293945,
 'COF': 92.97000122070312,
 'CAH': 76.7300033569336,
 'KMX': 60.63999938964844,
 'CCL': 7.96999979019165,
 'CARR': 41.61000061035156,
 'CTLT': 45.45000076293945,
 'CAT': 238.8800048828125,
 'CBOE': 126.33000183105467,
 'CBRE': 78.44000244140625,
 'CDW': 179.50999450683594,
 'CE': 102.2699966430664,
 'CNC': 79.73999786376953,
 'CNP': 29.559999465942383,
 'CDAY': 61.56999969482422,
 'CF': 81.94999694824219,
 'CRL': 218.3999938964844,
 'SCHW': 81.94000244140625,
 'CHTR': 341.5799865722656,
 'CVX': 173.99000549316406,
 'CMG': 1371.1300048828125,
 'CB': 220.7700042724609,
 'CHD': 82.0199966430664,
 'CI': 321.4800109863281,
 'CINF': 104.01000213623048,
 'CTAS': 448.989990234375,
 'CSCO': 47.93999862670898,
 'C': 45.77999877929688,
 'CFG': 39.52999877929688,
 'CLX': 142.25999450683594,
 'CME': 168.9499969482422,
 'CMS': 63.72999954223633,
 'KO': 62.95000076293945,
 'CTSH': 57.59000015258789,
 'CL': 79.12999725341797,
 'CMCSA': 35.56999969482422,
 'CMA': 66.05000305175781,
 'CAG': 38.83000183105469,
 'COP': 113.12000274658205,
 'ED': 95.76000213623048,
 'STZ': 227.6000061035156,
 'CEG': 81.91000366210938,
 'COO': 332.67999267578125,
 'CPRT': 61.459999084472656,
 'GLW': 32.540000915527344,
 'CTVA': 58.93000030517578,
 'CSGP': 77.6500015258789,
 'COST': 453.2799987792969,
 'CTRA': 23.209999084472656,
 'CCI': 138.30999755859375,
 'CSX': 30.8799991607666,
 'CMI': 241.0399932861328,
 'CVS': 92.91000366210938,
 'DHI': 90.68000030517578,
 'DHR': 262.2699890136719,
 'DRI': 139.9600067138672,
 'DVA': 74.83999633789062,
 'DE': 424.2900085449219,
 'DAL': 32.61000061035156,
 'XRAY': 32.689998626708984,
 'DVN': 58.119998931884766,
 'DXCM': 114.7300033569336,
 'FANG': 131.3800048828125,
 'DLR': 102.83000183105467,
 'DFS': 96.98999786376952,
 'DISH': 14.100000381469728,
 'DIS': 88.97000122070312,
 'DG': 246.72000122070312,
 'DLTR': 140.25999450683594,
 'D': 62.970001220703125,
 'DPZ': 339.2699890136719,
 'DOV': 135.07000732421875,
 'DOW': 51.040000915527344,
 'DTE': 117.86000061035156,
 'DUK': 103.6999969482422,
 'DD': 68.86000061035156,
 'DXC': 27.670000076293945,
 'EMN': 82.12999725341797,
 'ETN': 157.75,
 'EBAY': 42.150001525878906,
 'ECL': 147.2100067138672,
 'EIX': 64.27999877929688,
 'EW': 74.2699966430664,
 'EA': 122.8000030517578,
 'ELV': 502.2000122070313,
 'LLY': 364.989990234375,
 'EMR': 96.11000061035156,
 'ENPH': 253.30999755859372,
 'ETR': 109.12999725341795,
 'EOG': 124.4499969482422,
 'EPAM': 331.4200134277344,
 'EQT': 31.81999969482422,
 'EFX': 198.30999755859372,
 'EQIX': 662.510009765625,
 'EQR': 58.84000015258789,
 'ESS': 211.30999755859372,
 'EL': 253.91000366210935,
 'ETSY': 113.55999755859376,
 'RE': 333.3800048828125,
 'EVRG': 62.93000030517578,
 'ES': 84.22000122070312,
 'EXC': 43.15999984741211,
 'EXPE': 87.68000030517578,
 'EXPD': 104.9800033569336,
 'EXR': 144.2899932861328,
 'XOM': 106.51000213623048,
 'FFIV': 144.85000610351562,
 'FDS': 405.9599914550781,
 'FAST': 47.400001525878906,
 'FRT': 102.66000366210938,
 'FDX': 177.27000427246094,
 'FITB': 32.63999938964844,
 'FRC': 121.54000091552734,
 'FSLR': 145.94000244140625,
 'FE': 42.02999877929688,
 'FIS': 68.54000091552734,
 'FISV': 101.20999908447266,
 'FLT': 183.19000244140625,
 'FMC': 124.91999816894533,
 'F': 11.68000030517578,
 'FTNT': 48.52000045776367,
 'FTV': 64.2699966430664,
 'FOXA': 30.270000457763672,
 'FOX': 28.34000015258789,
 'BEN': 27.1200008392334,
 'FCX': 37.91999816894531,
 'GRMN': 93.56999969482422,
 'IT': 337.489990234375,
 'GEHC': 56.0,
 'GEN': 21.6200008392334,
 'GNRC': 97.70999908447266,
 'GD': 248.6000061035156,
 'GE': 66.33879852294922,
 'GIS': 83.22000122070312,
 'GM': 33.81999969482422,
 'GPC': 169.80999755859375,
 'GILD': 85.38999938964844,
 'GL': 119.58999633789062,
 'GPN': 100.1999969482422,
 'GS': 346.2200012207031,
 'HAL': 37.65999984741211,
 'HIG': 75.3499984741211,
 'HAS': 61.95000076293945,
 'HCA': 243.2100067138672,
 'PEAK': 25.440000534057617,
 'HSIC': 79.5999984741211,
 'HSY': 226.92999267578125,
 'HES': 134.52000427246094,
 'HPE': 16.059999465942383,
 'HLT': 125.02999877929688,
 'HOLX': 75.55000305175781,
 'HD': 315.9100036621094,
 'HON': 214.3000030517578,
 'HRL': 45.75,
 'HST': 15.93000030517578,
 'HWM': 39.060001373291016,
 'HPQ': 26.75,
 'HUM': 500.489990234375,
 'HBAN': 14.100000381469728,
 'HII': 228.3500061035156,
 'IBM': 141.5500030517578,
 'IEX': 229.4900054931641,
 'IDXX': 406.010009765625,
 'ITW': 220.32000732421875,
 'ILMN': 200.8699951171875,
 'INCY': 79.55000305175781,
 'IR': 53.0,
 'INTC': 26.729999542236328,
 'ICE': 103.2300033569336,
 'IP': 35.40999984741211,
 'IPG': 33.790000915527344,
 'IFF': 105.63999938964844,
 'INTU': 391.1799926757813,
 'ISRG': 265.6300048828125,
 'IVZ': 18.21999931335449,
 'INVH': 29.26000022888184,
 'IQV': 203.8600006103516,
 'IRM': 49.66999816894531,
 'JBHT': 172.60000610351562,
 'JKHY': 176.10000610351562,
 'J': 121.29000091552734,
 'JNJ': 178.19000244140625,
 'JCI': 64.73999786376953,
 'JPM': 135.1199951171875,
 'JNPR': 32.529998779296875,
 'K': 71.2699966430664,
 'KDP': 35.54999923706055,
 'KEY': 17.610000610351562,
 'KEYS': 170.94000244140625,
 'KMB': 137.11000061035156,
 'KIM': 21.239999771118164,
 'KMI': 18.010000228881836,
 'KLAC': 376.5499877929688,
 'KHC': 40.77999877929688,
 'KR': 44.470001220703125,
 'LHX': 206.92999267578125,
 'LH': 237.77999877929688,
 'LRCX': 414.2999877929688,
 'LW': 87.25,
 'LVS': 49.33000183105469,
 'LDOS': 104.70999908447266,
 'LEN': 91.9800033569336,
 'LNC': 30.81999969482422,
 'LIN': 318.3500061035156,
 'LYV': 68.86000061035156,
 'LKQ': 53.86000061035156,
 'LMT': 477.5299987792969,
 'L': 58.59000015258789,
 'LOW': 199.0399932861328,
 'LUMN': 5.369999885559082,
 'LYB': 83.98999786376953,
 'MTB': 144.97000122070312,
 'MRO': 25.63999938964844,
 'MPC': 110.91999816894533,
 'MKTX': 284.8699951171875,
 'MAR': 147.75,
 'MMC': 165.97999572753906,
 'MLM': 338.19000244140625,
 'MAS': 47.41999816894531,
 'MA': 346.79998779296875,
 'MTCH': 41.060001373291016,
 'MKC': 83.47000122070312,
 'MCD': 264.3299865722656,
 'MCK': 374.3299865722656,
 'MDT': 78.26000213623047,
 'MRK': 111.13999938964844,
 'META': 124.73999786376952,
 'MET': 72.1500015258789,
 'MTD': 1461.8699951171875,
 'MGM': 33.279998779296875,
 'MCHP': 69.0999984741211,
 'MU': 50.369998931884766,
 'MSFT': 239.5800018310547,
 'MAA': 155.4199981689453,
 'MRNA': 178.99000549316406,
 'MHK': 106.86000061035156,
 'MOH': 318.9200134277344,
 'TAP': 49.43999862670898,
 'MDLZ': 66.25,
 'MPWR': 342.95001220703125,
 'MNST': 101.31999969482422,
 'MCO': 276.4700012207031,
 'MS': 85.72000122070312,
 'MOS': 42.630001068115234,
 'MSI': 257.3999938964844,
 'MSCI': 461.1600036621094,
 'NDAQ': 61.7599983215332,
 'NTAP': 60.790000915527344,
 'NFLX': 294.95001220703125,
 'NWL': 13.460000038146973,
 'NEM': 49.58000183105469,
 'NWSA': 18.299999237060547,
 'NWS': 18.489999771118164,
 'NEE': 83.83000183105469,
 'NKE': 118.75,
 'NI': 27.440000534057617,
 'NDSN': 238.02999877929688,
 'NSC': 247.6999969482422,
 'NTRS': 89.77999877929688,
 'NOC': 540.3300170898438,
 'NCLH': 11.859999656677246,
 'NRG': 31.93000030517578,
 'NUE': 131.05999755859375,
 'NVDA': 143.14999389648438,
 'NVR': 4589.31982421875,
 'NXPI': 155.0500030517578,
 'ORLY': 840.719970703125,
 'OXY': 61.04999923706055,
 'ODFL': 282.5199890136719,
 'OMC': 82.52999877929688,
 'ON': 61.61000061035156,
 'OKE': 63.93999862670898,
 'ORCL': 83.72000122070312,
 'OGN': 28.06999969482422,
 'OTIS': 79.12000274658203,
 'PCAR': 98.43000030517578,
 'PKG': 129.05999755859375,
 'PARA': 17.06999969482422,
 'PH': 291.760009765625,
 'PAYX': 115.80999755859376,
 'PAYC': 304.6300048828125,
 'PYPL': 74.58000183105469,
 'PNR': 45.20000076293945,
 'PEP': 179.41000366210938,
 'PKI': 141.13999938964844,
 'PFE': 51.2599983215332,
 'PCG': 15.68000030517578,
 'PM': 101.3000030517578,
 'PSX': 101.02999877929688,
 'PNW': 74.62999725341797,
 'PXD': 220.25,
 'PNC': 159.52000427246094,
 'POOL': 300.8299865722656,
 'PPG': 126.83999633789062,
 'PPL': 29.200000762939453,
 'PFG': 83.7699966430664,
 'PG': 151.57000732421875,
 'PGR': 130.13999938964844,
 'PLD': 112.69000244140624,
 'PRU': 99.4800033569336,
 'PEG': 62.04999923706055,
 'PTC': 119.6500015258789,
 'PSA': 274.17999267578125,
 'PHM': 46.20000076293945,
 'QRVO': 89.13999938964844,
 'PWR': 140.61000061035156,
 'QCOM': 107.1999969482422,
 'DGX': 155.77000427246094,
 'RL': 109.11000061035156,
 'RJF': 106.11000061035156,
 'RTX': 100.80999755859376,
 'O': 63.79999923706055,
 'REG': 62.83000183105469,
 'REGN': 720.469970703125,
 'RF': 21.46999931335449,
 'RSG': 128.67999267578125,
 'RMD': 209.1100006103516,
 'RHI': 73.58999633789062,
 'ROK': 261.4200134277344,
 'ROL': 36.54999923706055,
 'ROP': 434.4599914550781,
 'ROST': 115.83000183105467,
 'RCL': 48.709999084472656,
 'SPGI': 335.1700134277344,
 'CRM': 134.77999877929688,
 'SBAC': 281.739990234375,
 'SLB': 51.5,
 'STX': 51.880001068115234,
 'SEE': 50.27000045776367,
 'SRE': 153.7100067138672,
 'NOW': 385.5,
 'SHW': 239.3699951171875,
 'SBNY': 113.16999816894533,
 'SPG': 117.54000091552734,
 'SWKS': 90.5,
 'SJM': 158.99000549316406,
 'SNA': 229.3800048828125,
 'SEDG': 285.42999267578125,
 'SO': 71.9000015258789,
 'LUV': 32.599998474121094,
 'SWK': 76.19000244140625,
 'SBUX': 100.83000183105467,
 'STT': 78.4000015258789,
 'STLD': 95.16999816894533,
 'STE': 185.5800018310547,
 'SYK': 246.02999877929688,
 'SIVB': 225.22000122070312,
 'SYF': 32.38999938964844,
 'SNPS': 319.67999267578125,
 'SYY': 75.98999786376953,
 'TMUS': 139.0399932861328,
 'TROW': 109.1500015258789,
 'TTWO': 103.11000061035156,
 'TPR': 38.83000183105469,
 'TRGP': 70.6500015258789,
 'TGT': 151.72999572753906,
 'TEL': 114.66000366210938,
 'TDY': 400.7699890136719,
 'TFX': 249.8500061035156,
 'TER': 85.93000030517578,
 'TSLA': 108.0999984741211,
 'TXN': 163.2100067138672,
 'TXT': 70.26000213623047,
 'TMO': 553.1799926757812,
 'TJX': 79.01000213623047,
 'TSCO': 223.17999267578125,
 'TT': 171.52999877929688,
 'TDG': 625.77001953125,
 'TRV': 187.1199951171875,
 'TRMB': 50.59999847412109,
 'TFC': 43.630001068115234,
 'TYL': 319.3299865722656,
 'TSN': 63.59999847412109,
 'USB': 44.63999938964844,
 'UDR': 38.59000015258789,
 'ULTA': 471.6300048828125,
 'UNP': 207.5800018310547,
 'UAL': 37.209999084472656,
 'UPS': 175.27999877929688,
 'URI': 356.7099914550781,
 'UNH': 518.6400146484375,
 'UHS': 142.61000061035156,
 'VLO': 120.04000091552734,
 'VTR': 45.369998931884766,
 'VRSN': 201.9199981689453,
 'VRSK': 177.33999633789062,
 'VZ': 40.119998931884766,
 'VRTX': 286.0199890136719,
 'VFC': 27.739999771118164,
 'VTRS': 11.380000114440918,
 'VICI': 31.75,
 'V': 207.38999938964844,
 'VMC': 176.10000610351562,
 'WAB': 99.76000213623048,
 'WBA': 37.18999862670898,
 'WMT': 143.60000610351562,
 'WBD': 9.539999961853027,
 'WM': 157.02999877929688,
 'WAT': 345.5899963378906,
 'WEC': 94.16000366210938,
 'WFC': 41.790000915527344,
 'WELL': 66.94999694824219,
 'WST': 234.41000366210935,
 'WDC': 31.40999984741211,
 'WRK': 35.47999954223633,
 'WY': 30.86000061035156,
 'WHR': 143.72999572753906,
 'WMB': 32.150001525878906,
 'WTW': 245.17999267578125,
 'GWW': 555.9299926757812,
 'WYNN': 85.61000061035156,
 'XEL': 70.06999969482422,
 'XYL': 110.76000213623048,
 'YUM': 126.95999908447266,
 'ZBRA': 260.20001220703125,
 'ZBH': 127.27999877929688,
 'ZION': 48.459999084472656,
 'ZTS': 146.85000610351562}

def random_portfolio_generator_function():
    random_user_portfolio_generated = {}
    for i in range(13):
        ticker_selected = random.choice(list(LATEST_DATA))
        date_selected = random.choice(list(LATEST_DATA[ticker_selected]))
        quantity_of_stock_selected = random.randint(0, 100)
        print(ticker_selected, date_selected, quantity_of_stock_selected)
        if ticker_selected not in random_user_portfolio_generated:
            random_user_portfolio_generated[ticker_selected] = quantity_of_stock_selected
    return random_user_portfolio_generated
